## org.biojava.utils.io
Class RAF

    java.lang.Object
      java.io.RandomAccessFile
          org.biojava.utils.io.RAF

All Implemented Interfaces:
  Closeable, DataInput, DataOutput

    public class RAF

extends RandomAccessFile

Author:
  Matthew Pocock

Constructor Summary
`RAF(File file, String mode)`
`RAF(String name, String mode)`

Method Summary
`File` `getFile()`

Methods inherited from class java.io.RandomAccessFile

`close, getChannel, getFD, getFilePointer, length, read, read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, seek, setLength, skipBytes, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RAF

    public RAF(File file,
               String mode)
        throws FileNotFoundException

Throws:
  `FileNotFoundException`

### RAF

    public RAF(String name,
               String mode)
        throws FileNotFoundException

Throws:
  `FileNotFoundException`

Method Detail

### getFile

    public File getFile()